[package]
name = "marstemedia"
version = "0.5.0"
description = "A Tauri App"
authors = ["you"]
edition = "2021"

[lib]
name = "marstemedia_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = [] }
tauri-plugin-opener = "2"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
easy-nostr = { path = "./easy-nostr" }
tokio = { version = "1", features = ["full"] }
feed-rs = "2.3.1"
ron = "0.8"
nostr-sdk = "0.44.1"

# FIX: default-features entfernt und rustls-tls hinzugefügt
reqwest = { version = "0.12", default-features = false, features = ["json", "rustls-tls"] }
